Bug 610951 - SIGSEGV in visit_decref in subtract_refs during garbage collection in _PyObject_GC_Malloc importing logging/handlers.pyc running yum
Summary: SIGSEGV in visit_decref in subtract_refs during garbage collection in _PyObje...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a2151bac1e3e1bf6b554e3093d4...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 20:49 UTC by Christopher
Modified: 2014-01-21 23:15 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 19:21:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.85 KB, text/plain)
2010-07-02 20:49 UTC, Christopher
no flags Details

Description Christopher 2010-07-02 20:49:11 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/yum update gdb
component: yum
crash_function: visit_decref
executable: /usr/bin/python
global_uuid: a2151bac1e3e1bf6b554e3093d4e1bafedf072f4
kernel: 2.6.33.5-124.fc13.x86_64
package: yum-3.2.27-4.fc13
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.Issue command from prompt
2.
3.

Comment 1 Christopher 2010-07-02 20:49:14 UTC
Created attachment 429161 [details]
File: backtrace

Comment 2 seth vidal 2010-07-02 21:20:23 UTC
over to dmalcolm b/c we love him and want to shower him w/fun bugs.

Comment 3 Dave Malcolm 2010-07-09 18:20:26 UTC
Thanks for filing this bug report.

The SIGSEGV happens here:
=> 0x00000036097084c9 <+9>:	mov    0x8(%rdi),%rax

with rax == NULL.

Please can you attach the output of:
   rpm -qa > all-packages.txt
to this bug.

Thanks!

Comment 4 Bug Zapper 2011-06-01 14:53:58 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2011-06-27 19:21:04 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.